# Class RcsbFv3DAbstract<T, R, L, S, U>`Abstract`

#### Type Parameters

- #### T

- #### R

- #### L

- #### S

- #### U

#### Hierarchy

- RcsbFv3DAbstract
  - RcsbFv3DAlignmentProvider
  - RcsbFv3DAssembly
  - RcsbFv3DSequenceIdentity
  - RcsbFv3DUniprot

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:22

#####
Index

### Constructors

constructor

### Properties

cssConfig
ctxManager
elementId
fullScreenFlag
overflowStyle
reactRoot
sequenceConfig
structureConfig
structureViewer
structureViewerBehaviourObserver

### Methods

fullScreen
pluginCall
render
unmount
updateConfig

## Constructors

### `Protected` constructor

- new RcsbFv3DAbstract<T, R, L, S, U>(config): RcsbFv3DAbstract<T, R, L, S, U>

- #### Type Parameters

  - #### T

  - #### R

  - #### L

  - #### S

  - #### U

  #### Parameters

  - ##### config: RcsbFv3DAbstractInterface<T, R, L, S, U>

  #### Returns RcsbFv3DAbstract<T, R, L, S, U>

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:39

## Properties

### `Private` `Readonly` cssConfig

cssConfig: undefined | {
rootPanel?: CSSProperties;
sequencePanel?: CSSProperties;
structurePanel?: CSSProperties;
}

#### Type declaration

- ##### `Optional` rootPanel?: CSSProperties

- ##### `Optional` sequencePanel?: CSSProperties

- ##### `Optional` structurePanel?: CSSProperties

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:33

### `Private` `Readonly` ctxManager

ctxManager: RcsbFvContextManager<T, R, S, U> = ...

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:30

### `Private` `Readonly` elementId

elementId: string

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:24

### `Private` fullScreenFlag

fullScreenFlag: boolean = false

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:31

### `Private` overflowStyle

overflowStyle: string = ""

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:32

### `Private` reactRoot

reactRoot: Root

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:25

### `Private` `Readonly` sequenceConfig

sequenceConfig: RcsbFvSequenceInterface<T, U>

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:29

### `Private` `Readonly` structureConfig

structureConfig: RcsbFvStructureConfigInterface<R, S>

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:26

### `Private` `Readonly` structureViewer

structureViewer: StructureViewerInterface<R, L, S>

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:27

### `Private` `Readonly` structureViewerBehaviourObserver

structureViewerBehaviourObserver: StructureViewerBehaviourObserverInterface<R, L>

- Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:28

## Methods

### `Private` fullScreen

- fullScreen(mode): void

- #### Parameters

  - ##### mode: "off" | "on"

  #### Returns void

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:96

### pluginCall

- pluginCall(f): void

- #### Parameters

  - ##### f: ((plugin) => void)

    - - (plugin): void

      - #### Parameters

        - ##### plugin: PluginContext

        #### Returns void

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:92

### render

- render(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:48

### unmount

- unmount(removeHtmlElement?, unmountCallback?): void

- #### Parameters

  - ##### `Optional` removeHtmlElement: boolean

  - ##### `Optional` unmountCallback: (() => {})

    - - (): {}

      - #### Returns {}

  #### Returns void

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:75

### updateConfig

- updateConfig(config): void

- #### Parameters

  - ##### config: {
    sequencePanelConfig?: Partial<RcsbFvSequenceInterface<T, U>>;
    structurePanelConfig?: Partial<RcsbFvStructureConfigInterface<R, S>>;
    }

    - ##### `Optional` sequencePanelConfig?: Partial<RcsbFvSequenceInterface<T, U>>

    - ##### `Optional` structurePanelConfig?: Partial<RcsbFvStructureConfigInterface<R, S>>

  #### Returns void

  - Defined in src/RcsbFv3D/RcsbFv3DAbstract.tsx:88

Generated using TypeDoc